Bug 160172 - Why isn't PC speaker enabled by default?
Why isn't PC speaker enabled by default?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 179739 196614 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-12 13:14 EDT by Jonathan Kamens
Modified: 2015-01-04 17:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 19:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-06-12 13:14:50 EDT
I can't believe that there isn't already a bug about this, but I searched for 
both "speaker" and "pcspkr" and couldn't find one.

When I install Fedora Core from scratch and log into X, the X server doesn't 
beep.  Why doesn't it beep?  Because the PC Speaker module ("pcspkr") hasn't 
been loaded.  I have to put "modprobe pcspkr" in /etc/rc.d/rc.local to get 
beeps to work.  Is there some reason why it doesn't get loaded automatically?

Am I missing something?

Thanks.
Comment 1 Bill Nottingham 2005-06-12 17:26:02 EDT
There's not a mechanism for automatically matching the pcspkr driver to hardware
to load it automatically. Frankly, I think it should be built in in such a case.
Comment 2 Dave Jones 2005-06-23 21:28:16 EDT
If we do that, I give it a week before someone files a bug
"Why isn't the PC speaker driver built as a module, its really irritating".

One compromise could be to have the /etc/modprobe.conf always contain it on
installs. For those that don't want it, they only have to remove that one line
then instead of having to rebuild their kernel.
Comment 3 Bill Nottingham 2005-06-23 23:11:35 EDT
I don't see what you could put in modprobe.conf to get it to automatically load
- am I missing something?
Comment 4 Dave Jones 2005-12-01 02:16:13 EST
hmm. no idea.  *cough* rc.sysinit *cough* :-)

seriously, I don't know how we can 'fix' this.
Comment 5 Jonathan Kamens 2005-12-01 09:07:44 EST
It seems to me that if there is no config file in Fedora Core one can use to 
specify modules which should be probed automatically on reboot, the obvious 
answer is to add such a config file and support for it in the boot scripts.
Comment 6 Bill Nottingham 2005-12-01 13:44:06 EST
/etc/sysconfig/modules/*.modules are sources in rc.sysinit on boot...
Comment 7 Jonathan Kamens 2005-12-01 14:49:06 EST
Then why can't we stick something there to load the speaker module?
Comment 8 Bill Nottingham 2005-12-01 15:14:30 EST
See Dave's comment #2. If we ship a file that does that, then someone would have
to edit/remove it, and then you'd run into issues on upgrade. (It could be
marked %config, but then you'd have people sourcing a file every boot that does
nothing.)

This might be revisited with moving to udev to load modules.
Comment 9 Dave Jones 2006-02-03 15:10:31 EST
*** Bug 179739 has been marked as a duplicate of this bug. ***
Comment 10 Florin Andrei 2006-03-17 18:28:37 EST
(In reply to comment #2)
> If we do that, I give it a week before someone files a bug
> "Why isn't the PC speaker driver built as a module, its really irritating".

I think that's a much weaker case to make than the non-working state of the PC
speaker. If there's any case at all.
All operating systems use the PC speaker. All Linux distributions that I'm aware
of do the same. Sans Fedora. Yet nobody files any bugs against them for that
reason. Why would Fedora be different?

Compile it in the kernel and let's be done with it. I don't think there's any
situation where it could create any problem - again, based on the fact that this
feature is built into pretty much all other OSes and distributions by default
and nobody seems to complain about that.
This bug cripples the functionality of applications such as X-Chat, gdm, xterm
(and other terminals), etc. Let's squish it once for all.
Comment 11 Bill Nottingham 2006-06-29 00:44:23 EDT
*** Bug 196614 has been marked as a duplicate of this bug. ***
Comment 12 Dave Jones 2006-10-16 16:17:41 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Florin Andrei 2006-10-16 19:05:31 EDT
With Fedora Core 5 32 bit version, on a Dell Latitude D600 laptop, the new
kernel 2.6.18-1.2200.fc5 has fixed the bug. The pcspkr module appears to load
all by itself, without help from a /etc/sysconfig/modules script. The PC speaker
beeps at the appropriate times.

Works For Me.

Thank you, your effort in squishing this very old bug is much appreciated.

Note You need to log in before you can comment on or make changes to this bug.